Subject: Re: Data-Flow license

From: Terrence Brannon <[email-masked]>
Date: Mon, 02 Jul 2012 09:21:24 -0400

Petr,

I'm perfectly fine with this statement , so I can formally confirm
my work on Data-Flow is covered by `the Perl license'.

-- Terrence Brannon

On 6/26/2012 10:19 AM, Petr Pisar wrote:
> Hello Data-Flow authors,
>
> I'd like to deliver Data-Flow Perl package to Fedora Linux distribution.
> However the code lacks any license which prevents me from doing it.
>
> There has been opened ticket on CPAN
> <https://rt.cpan.org/Public/Bug/Display.html?id=18068> regarding this issue
> since year 2006.
>
> Ilya Zakharevich stated there:
>
>> All my modules are "as Perl itself"; but I rarely state this explicitly
>> (lazyness only).
> So, I assume the Data-Flow is covered by Artistic or GPL+ license as the perl
> itself.
>
> Data::Flow POD lists all of you as authors of the code:
>
>> AUTHOR
>>    Ilya Zakharevich, [email-masked], with multiple additions from Terrence
>>    Monroe Brannon and Radoslav Nedyalkov.
> Could you please each of you confirm you agree with this statement? I.e. your
> work on Data-Flow is coverd by `the Perl license'? Your coopearion would help
> me in getting this package into the Fedora distribution.
>
> (And actually reuploding the tar ball to PAUSE with proper license declaration
> would help other distributors greatly.)
>
> -- Petr Pisar
>